<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: RunStatisticsType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00030.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">RunStatisticsType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>All run statistics structure used in <a class="el" href="a00002.html#a7469a660897264ddc6b5c7697cd68f7e" title="Reads all run statistics parameters simultaneously.">getRunStatistics()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac99e5e8ed99d1fa1a3859f1078706edd" id="r_ac99e5e8ed99d1fa1a3859f1078706edd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac99e5e8ed99d1fa1a3859f1078706edd">isRunActive</a></td></tr>
<tr class="separator:ac99e5e8ed99d1fa1a3859f1078706edd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a482e96022f360b611a0e235fa97fde8a" id="r_a482e96022f360b611a0e235fa97fde8a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a5f642903648a5cbec7a6d8326bc2eed6">DoubleType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a482e96022f360b611a0e235fa97fde8a">realTime</a></td></tr>
<tr class="separator:a482e96022f360b611a0e235fa97fde8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8290e001f3466190cd15a253d7ea93f3" id="r_a8290e001f3466190cd15a253d7ea93f3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a5f642903648a5cbec7a6d8326bc2eed6">DoubleType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8290e001f3466190cd15a253d7ea93f3">liveTime</a></td></tr>
<tr class="separator:a8290e001f3466190cd15a253d7ea93f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5936f366abc15f639b4ad42b59cfcf3" id="r_af5936f366abc15f639b4ad42b59cfcf3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af5936f366abc15f639b4ad42b59cfcf3">outputCounts</a></td></tr>
<tr class="separator:af5936f366abc15f639b4ad42b59cfcf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1070cb80094604184b6252b3382f7a1" id="r_aa1070cb80094604184b6252b3382f7a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa1070cb80094604184b6252b3382f7a1">inputCounts</a></td></tr>
<tr class="separator:aa1070cb80094604184b6252b3382f7a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b6bb163d2809b663693d855893c45b4" id="r_a0b6bb163d2809b663693d855893c45b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0b6bb163d2809b663693d855893c45b4">outputCountRate</a></td></tr>
<tr class="separator:a0b6bb163d2809b663693d855893c45b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1a0fa6d38a74210edb2654a7255f7f8" id="r_ae1a0fa6d38a74210edb2654a7255f7f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae1a0fa6d38a74210edb2654a7255f7f8">inputCountRate</a></td></tr>
<tr class="separator:ae1a0fa6d38a74210edb2654a7255f7f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>All run statistics structure used in <a class="el" href="a00002.html#a7469a660897264ddc6b5c7697cd68f7e" title="Reads all run statistics parameters simultaneously.">getRunStatistics()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae1a0fa6d38a74210edb2654a7255f7f8" name="ae1a0fa6d38a74210edb2654a7255f7f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1a0fa6d38a74210edb2654a7255f7f8">&#9670;&#160;</a></span>inputCountRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a> inputCountRate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1070cb80094604184b6252b3382f7a1" name="aa1070cb80094604184b6252b3382f7a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1070cb80094604184b6252b3382f7a1">&#9670;&#160;</a></span>inputCounts</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a> inputCounts</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac99e5e8ed99d1fa1a3859f1078706edd" name="ac99e5e8ed99d1fa1a3859f1078706edd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac99e5e8ed99d1fa1a3859f1078706edd">&#9670;&#160;</a></span>isRunActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> isRunActive</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8290e001f3466190cd15a253d7ea93f3" name="a8290e001f3466190cd15a253d7ea93f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8290e001f3466190cd15a253d7ea93f3">&#9670;&#160;</a></span>liveTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a5f642903648a5cbec7a6d8326bc2eed6">DoubleType</a> liveTime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b6bb163d2809b663693d855893c45b4" name="a0b6bb163d2809b663693d855893c45b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b6bb163d2809b663693d855893c45b4">&#9670;&#160;</a></span>outputCountRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a> outputCountRate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5936f366abc15f639b4ad42b59cfcf3" name="af5936f366abc15f639b4ad42b59cfcf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5936f366abc15f639b4ad42b59cfcf3">&#9670;&#160;</a></span>outputCounts</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3364c225e4641202e777c012fcd14f92">UInt32Type</a> outputCounts</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a482e96022f360b611a0e235fa97fde8a" name="a482e96022f360b611a0e235fa97fde8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a482e96022f360b611a0e235fa97fde8a">&#9670;&#160;</a></span>realTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a5f642903648a5cbec7a6d8326bc2eed6">DoubleType</a> realTime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00030.html">RunStatisticsType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
